About
=====
Latte is a dock based on plasma frameworks that provides an elegant and intuitive experience for your tasks and plasmoids. It animates its contents by using parabolic zoom effect and trys to be there only when it is needed.

**"Art in Coffee"**

Screenshots
===========

![](https://cdn.kde.org/screenshots/latte-dock/latte-dock_regular.png)

![](https://cdn.kde.org/screenshots/latte-dock/latte-dock_settings.png)

Development
============

- Official KDE repo in which you can also send your MRs is located at: https://invent.kde.org/plasma/latte-dock
- Bug reports can be send at: https://bugs.kde.org/enter_bug.cgi?product=lattedock


Installation
============

## Requirements

We recommend to use at least:
 **Plasma >= 5.15.0**
 **Qt >= 5.12**


Minimum requirements:
 
**tools:**
```
 bash
```

**development packages for:**
```
 Qt5Core >= 5.12.0
 Qt5Gui >= 5.12.0
 Qt5Dbus >= 5.12.0

 KF5Plasma >= 5.48.0
 KF5PlasmaQuick >= 5.48.0
 KF5Activities >= 5.48.0
 KF5CoreAddons >= 5.48.0
 KF5GuiAddons >= 5.48.0
 KF5DBusAddons >= 5.48.0
 KF5Declarative >= 5.48.0
 KF5Kirigami2 >= 5.48.0
 KF5Wayland >= 5.48.0
 KF5Package >= 5.48.0
 KF5XmlGui >= 5.48.0
 KF5IconThemes >= 5.48.0
 KF5KIO >= 5.48.0
 KF5I18n >= 5.48.0
 KF5Notifications >= 5.48.0
 KF5NewStuff >= 5.48.0
 KF5Archive >= 5.48.0
 KF5GlobalAccel >= 5.48.0
 KF5Crash >= 5.48.0

 KSysGuard [reguired only for kf5<=5.61]

 For X11 support:
    KF5WindowSystem >= 5.48.0
    Qt5X11Extras >= 5.7.0
    libxcb
    libxcb-randr
    libxcb-shape
    libSM
```

## From repositories

### Ubuntu/Debian

- [Ubuntu](https://packages.ubuntu.com/bionic/latte-dock)

### openSUSE

- [openSUSE](https://software.opensuse.org/package/latte-dock?search_term=latte+dock)
- [psifidotos - OBS](https://software.opensuse.org//download.html?project=home%3Apsifidotos&package=latte-dock)

### Fedora

- [Fedora](https://koji.fedoraproject.org/koji/packageinfo?packageID=24229)

### Arch Linux

- [Arch Linux](https://www.archlinux.org/packages/?sort=&q=latte-dock)

### Gentoo

- [Gentoo](https://packages.gentoo.org/packages/kde-misc/latte-dock)

### Solus Project

- [Solus](https://packages.solus-project.com/shannon/l/latte-dock/)

### Void Linux

- [Void Linux](https://github.com/void-linux/void-packages/tree/master/srcpkgs/latte-dock)

### FreeBSD
- [FreeBSD Port](https://www.freshports.org/deskutils/latte-dock/)

See the [installation instruction](./INSTALLATION.md) for others Linux distribution or development build

## Run Latte-Dock

Latte is now ready to be used by executing 
```
latte-dock
```

or activating **Latte Dock** from applications menu.


Contributors
============
[Varlesh](https://github.com/varlesh): Logos and Icons.
